Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class BoundaryStatisticImpl

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.StatisticImpl
          com.sun.appserv.management.j2ee.statistics.BoundaryStatisticImpl

All Implemented Interfaces:
  BoundaryStatistic, java.io.Serializable, Statistic

public class BoundaryStatisticImpl
extends StatisticImpl
implements BoundaryStatistic, java.io.Serializable

Serializable implementation of a BoundaryStatistic

See Also:
  Serialized Form

Constructor Summary
`BoundaryStatisticImpl(BoundaryStatistic s)`
`BoundaryStatisticImpl(CompositeData compositeData)` Base the Statistic on the `CompositeData`
`BoundaryStatisticImpl(java.util.Map m)`
`BoundaryStatisticImpl(MapStatistic s)`
`BoundaryStatisticImpl(java.lang.String name, java.lang.String description, java.lang.String unit, long startTime, long lastSampleTime, long lower, long upper)`

Method Summary
`long` | `getLowerBound()` The lower limit of the value of this attribute.The upper limit of the value of this attribute.
`long` | `getUpperBound()` The upper limit of the value of this attribute.

Methods inherited from class com.sun.appserv.management.j2ee.statistics.StatisticImpl
`equals, getDescription, getLastSampleTime, getName, getStartTime, getUnit, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Constructor Detail

### BoundaryStatisticImpl

    public BoundaryStatisticImpl(java.lang.String name,
                                 java.lang.String description,
                                 java.lang.String unit,
                                 long startTime,
                                 long lastSampleTime,
                                 long lower,
                                 long upper)

### BoundaryStatisticImpl

    public BoundaryStatisticImpl(CompositeData compositeData)

  Base the Statistic on the `CompositeData`

### BoundaryStatisticImpl

    public BoundaryStatisticImpl(java.util.Map m)

### BoundaryStatisticImpl

    public BoundaryStatisticImpl(MapStatistic s)

### BoundaryStatisticImpl

    public BoundaryStatisticImpl(BoundaryStatistic s)

Method Detail

### getLowerBound

    public long getLowerBound()

  Description copied from interface: `BoundaryStatistic`
  The lower limit of the value of this attribute.The upper limit of the value of this attribute.

  Specified by:
    `getLowerBound` in interface `BoundaryStatistic`

### getUpperBound

    public long getUpperBound()

  Description copied from interface: `BoundaryStatistic`
  The upper limit of the value of this attribute.

  Specified by:
    `getUpperBound` in interface `BoundaryStatistic`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.